%define rhugversion 20031215
%define rhugsource1 %{name}-%{version} upstream
%define rhugpatches 2

Summary: Jakarta Commons Pool Component
Name: commons-pool
Version: 1.1
Release: 3
URL: http://jakarta.apache.org/commons/pool/
Source: rhug-%{name}-%{rhugversion}.tar.bz2
Source1: %{name}-%{version}-src.tar.gz
Patch1: %{name}-rhjpp.patch
Patch2: %{name}-exitstatus.patch
License: Apache Software License
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: gcc34-c++
BuildPrereq: gcc34-java >= 3.4.0-1
BuildPrereq: commons-collections >= 2.1-12
BuildPrereq: junit >= 3.8.1-4
Prereq: redhat-java-rpm-scripts >= 1.0.2-2
Requires: libgcj34 >= 3.4.0-1
Requires: commons-collections >= 2.1-12

%description
The Jakarta Commons Pool Component provides a generic object pooling
API.

%package devel
Summary: CNI headers for developing Commons Pool applications
Group: Development/Libraries
Requires: commons-pool = %{version}-%{release}

%description devel
The commons-pool-devel package contains the headers required to
develop Cygnus Native Interface (CNI) extensions that use the Jakarta
Commons Pool Component.

%prep
%setup -q -a 1
mv %{rhugsource1}
%patch1 -p0 -b .rhjpp
%patch2 -p1 -b .exitstatus
mv ChangeLog ChangeLog.rhug

%build
CC=gcc34 CXX=g++34 GCJ=gcj34 GCJH=gcjh34 \
./configure \
    --disable-static \
    --prefix=%{_prefix} \
    --libdir=%{_libdir}
make
#make check  XXX fails

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall
rm -f ${RPM_BUILD_ROOT}%{_libdir}/*.la
find ${RPM_BUILD_ROOT}%{_libdir} -type l | xargs rm -f

%post
%{_sbindir}/javaconfig \
    %{_libdir}/lib-org-apache-commons-pool.so \
    %{_datadir}/java/commons-pool.jar

%postun
%{_sbindir}/javaconfig \
    %{_libdir}/lib-org-apache-commons-pool.so \
    %{_datadir}/java/commons-pool.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc *.rhug upstream/*.txt
%{_libdir}/*.so
%{_datadir}/java/*.jar

%files devel
%defattr(-,root,root)
%{_includedir}/org/apache/commons/pool

%changelog
* Tue May  4 2004 Gary Benson <gbenson@redhat.com> 1.1-3
- Rebuild with new compiler.

* Thu Apr 15 2004 Gary Benson <gbenson@redhat.com> 1.1-2
- Rebuild with new compiler (#120844).

* Tue Mar  2 2004 Elliot Lee <sopwith@redhat.com>
- Rebuilt.

* Tue Feb 17 2004 Gary Benson <gbenson@redhat.com> 1.1-1
- Rebuild for Fedora.

* Tue Dec 17 2002 Gary Benson <gbenson@redhat.com>
- Initial Red Hat Linux build.

* Thu Dec  4 2002 Gary Benson <gbenson@redhat.com>
- Initial RHUG build.
